import { Injector } from '@angular/core';
import { AbstractControl, NgModel, ValidationErrors } from '@angular/forms';
import { ValueAccessorBase } from './value-accessor';
import * as i0 from "@angular/core";
export declare abstract class ElementBase<T> extends ValueAccessorBase<T> {
    protected injector: Injector;
    protected abstract ngModel: NgModel;
    model: any;
    validator: (control: AbstractControl, dataModel: any) => ValidationErrors;
    constructor(injector: Injector);
    validate(control: AbstractControl): ValidationErrors;
    static ɵfac: i0.ɵɵFactoryDeclaration<ElementBase<any>, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<ElementBase<any>, never, never, { "model": { "alias": "model"; "required": false; }; }, {}, never, never, false, never>;
}
