import { OnInit, EventEmitter, QueryList, TemplateRef } from '@angular/core';
import { NgForm, UntypedFormGroup } from '@angular/forms';
import { CssInputModel } from '../reflect-input.models';
import { NgxCustomTemplateForDirective } from '../ngx-custom-template-for.directive';
import * as i0 from "@angular/core";
export declare class NgxFormForReactiveComponent implements OnInit {
    _model: any;
    _formGroup: UntypedFormGroup;
    cssClasses: CssInputModel;
    set model(value: any);
    set formGroup(value: UntypedFormGroup);
    autoComplete: string;
    form: NgForm;
    propertyNames: {
        field: string;
        template: boolean;
    }[];
    submitForm: EventEmitter<any>;
    _templates: NgxCustomTemplateForDirective[];
    set templates(value: QueryList<NgxCustomTemplateForDirective>);
    constructor();
    ngOnInit(): void;
    getTemplate(field: string): TemplateRef<any>;
    submit(): void;
    controlExists(item: string): boolean;
    static ɵfac: i0.ɵɵFactoryDeclaration<NgxFormForReactiveComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<NgxFormForReactiveComponent, "ngx-form-for-reactive", never, { "cssClasses": { "alias": "cssClasses"; "required": false; }; "model": { "alias": "model"; "required": false; }; "formGroup": { "alias": "formGroup"; "required": false; }; "autoComplete": { "alias": "autoComplete"; "required": false; }; }, { "submitForm": "submitForm"; }, ["templates"], never, false, never>;
}
