import { OnInit, TemplateRef, QueryList, EventEmitter } from '@angular/core';
import { NgForm } from '@angular/forms';
import { NgxCustomTemplateForDirective } from '../ngx-custom-template-for.directive';
import { CssInputModel } from '../reflect-input.models';
import * as i0 from "@angular/core";
export declare class NgxFormForComponent implements OnInit {
    _model: any;
    set model(value: any);
    cssClasses: CssInputModel;
    autoComplete: string;
    form: NgForm;
    propertyNames: {
        field: string;
        template: boolean;
    }[];
    submitForm: EventEmitter<any>;
    _templates: NgxCustomTemplateForDirective[];
    set templates(value: QueryList<NgxCustomTemplateForDirective>);
    constructor();
    ngOnInit(): void;
    getTemplate(field: string): TemplateRef<any>;
    submit(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<NgxFormForComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<NgxFormForComponent, "ngx-form-for", never, { "model": { "alias": "model"; "required": false; }; "cssClasses": { "alias": "cssClasses"; "required": false; }; "autoComplete": { "alias": "autoComplete"; "required": false; }; }, { "submitForm": "submitForm"; }, ["templates"], never, false, never>;
}
