import { OnInit, ElementRef, Injector, QueryList } from '@angular/core';
import { NgModel } from '@angular/forms';
import { DataTypeEnum } from '../reflect-input.models';
import { ElementBase } from '../element-base';
import { NgxCustomTemplateForDirective } from '../ngx-custom-template-for.directive';
import * as i0 from "@angular/core";
export declare class NgxDropdownForComponent extends ElementBase<any> implements OnInit {
    el: ElementRef;
    protected injector: Injector;
    DataTypeEnum: typeof DataTypeEnum;
    placeHolder: string;
    name: string;
    template: NgxCustomTemplateForDirective;
    readonly: boolean;
    ngxDropdown: boolean;
    itemSource: any[];
    field: string;
    key: string;
    valuePrimitive: boolean;
    text: string;
    ngModel: NgModel;
    defaultItem: boolean;
    set templates(value: QueryList<NgxCustomTemplateForDirective>);
    constructor(el: ElementRef, injector: Injector);
    ngOnInit(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<NgxDropdownForComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<NgxDropdownForComponent, "ngx-dropdown-for", never, { "itemSource": { "alias": "itemSource"; "required": false; }; "field": { "alias": "field"; "required": false; }; "key": { "alias": "key"; "required": false; }; "valuePrimitive": { "alias": "valuePrimitive"; "required": false; }; "text": { "alias": "text"; "required": false; }; "defaultItem": { "alias": "defaultItem"; "required": false; }; }, {}, ["templates"], never, false, never>;
}
