import { OnInit, ElementRef, TemplateRef, QueryList, Injector, EventEmitter } from '@angular/core';
import { NgModel, FormControlName } from '@angular/forms';
import { DataTypeEnum } from '../reflect-input.models';
import { NgxCustomTemplateForDirective } from '../ngx-custom-template-for.directive';
import { ElementBase } from '../element-base';
import * as i0 from "@angular/core";
export declare class NgxInputForComponent extends ElementBase<any> implements OnInit {
    el: ElementRef;
    protected injector: Injector;
    DataTypeEnum: typeof DataTypeEnum;
    dataType: number;
    placeHolder: string;
    name: string;
    _template: NgxCustomTemplateForDirective;
    autocomplete: string;
    dataItems: any[];
    blurEvent: EventEmitter<any>;
    readonly: boolean;
    field: string;
    ngModel: NgModel;
    formControlName: FormControlName;
    ngxInput: boolean;
    onFocusout(): void;
    set templates(value: QueryList<NgxCustomTemplateForDirective>);
    constructor(el: ElementRef, injector: Injector);
    ngOnInit(): void;
    getTemplate(): TemplateRef<any>;
    static ɵfac: i0.ɵɵFactoryDeclaration<NgxInputForComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<NgxInputForComponent, "ngx-input-for", never, { "dataItems": { "alias": "dataItems"; "required": false; }; "field": { "alias": "field"; "required": false; }; }, { "blurEvent": "blurEvent"; }, ["templates"], never, false, never>;
}
